## groovy.util.slurpersupport
Class NodeChild

author:
  John Wilson

Field Summary
`Node` | `node`

Constructor Summary
`NodeChild(Node node, GPathResult parent, String namespacePrefix, Map namespaceTagHints)`
`NodeChild(Node node, GPathResult parent, Map namespaceTagHints)`

Method Summary
`void` | `appendNode(Object newValue)`
`Map` | `attributes()`
`void` | `build(GroovyObject builder)`
`Iterator` | `childNodes()`
`GPathResult` | `find(Closure closure)`
`GPathResult` | `findAll(Closure closure)`
`Object` | `getAt(int index)`
`Iterator` | `iterator()`
`Iterator` | `nodeIterator()`
`GPathResult` | `parents()`
`void` | `replaceBody(Object newValue)`
`void` | `replaceNode(Closure newValue)`
`int` | `size()`
`String` | `text()`
`Writer` | `writeTo(Writer out)`

Constructor Detail

### NodeChild

    public NodeChild(Node node, GPathResult parent, String namespacePrefix, Map namespaceTagHints)

### NodeChild

    public NodeChild(Node node, GPathResult parent, Map namespaceTagHints)

Method Detail

### appendNode

    void appendNode(Object newValue)

### attributes

    public Map attributes()

### build

    public void build(GroovyObject builder)

### childNodes

    public Iterator childNodes()

### find

    public GPathResult find(Closure closure)

### findAll

    public GPathResult findAll(Closure closure)

### getAt

    public Object getAt(int index)

### iterator

    public Iterator iterator()

### nodeIterator

    public Iterator nodeIterator()

### parents

    public GPathResult parents()

### replaceBody

    void replaceBody(Object newValue)

### replaceNode

    void replaceNode(Closure newValue)

### size

    public int size()

### text

    public String text()

### writeTo

    public Writer writeTo(Writer out)